Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159219 - coreutils updates for new audit system
Summary: coreutils updates for new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-31 17:46 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-540
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 14:38:08 UTC


Attachments (Terms of Use)
patch to fix pam problems (deleted)
2005-05-31 19:30 UTC, Steve Grubb
no flags Details | Diff
interdiff -qp1 <(cvs up -p -r 1.4 coreutils-pam.patch ) <(cvs up -p -r 1.6 coreutils-pam.patch (deleted)
2005-06-06 11:33 UTC, Tim Waugh
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:540 qe-ready SHIPPED_LIVE coreutils bug fix update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-05-31 17:46:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The coreutils package needs some updates for the new audit system. I think this was recently fixed in rawhide. Specifically, the tty name was not being set by su. I will attach a patch.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. New functionality

Additional info:

Comment 1 Steve Grubb 2005-05-31 19:30:08 UTC
Created attachment 115010 [details]
patch to fix pam problems

This is the same patch as put into rawhide. I'm attaching it for convenience.

Comment 2 Tim Waugh 2005-06-06 11:28:21 UTC
Testcase would be simple to write.  Here is a one-line how-to-reproduce (as root):

su mail < /dev/null

The impact of this bug is that some packages will have failing %post scriptlets:
notably inn.  See bug #158189 for the original bug report.

I agree that this should be proposed for RHEL4 U2.

Comment 3 Tim Waugh 2005-06-06 11:32:32 UTC
Oh, I just saw that the original report was to add the code that bug #158189
points out a bug in. :-)

Well, fixed patch below.  Please disregard comment #2.

Comment 4 Tim Waugh 2005-06-06 11:33:07 UTC
Created attachment 115163 [details]
interdiff -qp1 <(cvs up -p -r 1.4 coreutils-pam.patch ) <(cvs up -p -r 1.6 coreutils-pam.patch

Fixed patch.

Comment 5 Steve Grubb 2005-06-06 17:58:32 UTC
I'm thinking that the patch should probably look at stdout and see if that is a
valid terminal if stdin is a file. I'll rework the newest patch to do this and
resubmit.

Comment 9 Steve Grubb 2005-06-17 14:26:40 UTC
Regarding my comment above, the new patch is fine. Any chance that you build a
package for RHEL4? I need to get this to IBM by Monday if at all possible. 

Thanks!

Comment 12 Red Hat Bugzilla 2005-10-05 14:38:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-540.html



Note You need to log in before you can comment on or make changes to this bug.